﻿using Konverter.Statements;
using System.Collections.Generic;
using System;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttCursorConverter
    {
        /// <summary>
        /// Liste der von Cursor benötigten Usings.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Input")
                };
            }
        }

        /// <summary>
        /// </summary>
        /// <param name="value"></param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            try
            {
                if (value.Length <= 2)
                {
                    if (value.Equals("0"))
                    {
                        return "Cursors.AppStarting";
                    }
                    else if (value.Equals("1"))
                    {
                        return "Cursors.Arrow";
                    }
                    else if (value.Equals("2"))
                    {
                        return "Cursors.ArrowCD";
                    }
                    else if (value.Equals("3"))
                    {
                        return "Cursors.Cross";
                    }
                    else if (value.Equals("4"))
                    {
                        return "Cursors.Hand";
                    }
                    else if (value.Equals("5"))
                    {
                        return "Cursors.Help";
                    }
                    else if (value.Equals("6"))
                    {
                        return "Cursors.IBeam";
                    }
                    else if (value.Equals("7"))
                    {
                        return "Cursors.No";
                    }
                    else if (value.Equals("8"))
                    {
                        return "Cursors.None";
                    }
                    else if (value.Equals("9"))
                    {
                        return "Cursors.Pen";
                    }
                    else if (value.Equals("10"))
                    {
                        return "Cursors.ScrollAll";
                    }
                    else if (value.Equals("11"))
                    {
                        return "Cursors.ScrollE";
                    }
                    else if (value.Equals("12"))
                    {
                        return "Cursors.ScrollN";
                    }
                    else if (value.Equals("13"))
                    {
                        return "Cursors.ScrollNE";
                    }
                    else if (value.Equals("14"))
                    {
                        return "Cursors.ScrollNS";
                    }
                    else if (value.Equals("15"))
                    {
                        return "Cursors.ScrollNW";
                    }
                    else if (value.Equals("16"))
                    {
                        return "Cursors.ScrollS";
                    }
                    else if (value.Equals("17"))
                    {
                        return "Cursors.ScrollSE";
                    }
                    else if (value.Equals("18"))
                    {
                        return "Cursors.ScrollSW";
                    }
                    else if (value.Equals("19"))
                    {
                        return "Cursors.ScrollW";
                    }
                    else if (value.Equals("20"))
                    {
                        return "Cursors.ScrollWE";
                    }
                    else if (value.Equals("21"))
                    {
                        return "Cursors.SizeAll";
                    }
                    else if (value.Equals("22"))
                    {
                        return "Cursors.SizeNESW";
                    }
                    else if (value.Equals("23"))
                    {
                        return "Cursors.SizeNS";
                    }
                    else if (value.Equals("24"))
                    {
                        return "Cursors.SizeNWSE";
                    }
                    else if (value.Equals("25"))
                    {
                        return "Cursors.SizeWE";
                    }
                    else if (value.Equals("26"))
                    {
                        return "Cursors.UpArrow";
                    }
                    else
                    {
                        return "Cursors.Wait";
                    }

                }
                //TODO: könnte auch ein Stream sein
                //TODO: Case-Sensitivität prüfen
                return "Cursors." + value.Trim();
            }
            catch (Exception e)
            {
                Logging.Instance.AddMessage("Fehler im Cursor Konverter mit dem Wert=" + value + ";" + e.Message);
                return "";
            }
        }
    }
}
