﻿using System.Collections.Generic;
using Konverter.Statements;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttDockConverter
    {
        /// <summary>
        /// Benötigte Usings für Dock.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Controls")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [Left | Top | Right | Bottom | 0 | 1 | 2 | 4]
        /// Ausgabe (C#)  : [Dock. + [Left | Top | Right | Bottom]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0")) {
                    return "Dock.Left";
                }
                else if (value.Equals("1")) {
                    return "Dock.Top";
                }
                else if (value.Equals("2"))
                {
                    return "Dock.Right";
                }
                else {
                    return "Dock.Bottom";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "Dock." + value;
            }
        }
    }
}
