﻿

using System.Collections.Generic;
using Konverter.Statements;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttFlowDirectionConverter
    {
        /// <summary>
        /// Benötigte Usings für FlowDirection.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [LeftToRight | RightToLeft | 0 | 1]
        /// Ausgabe (C#)  : [FlowDirection. + [LeftToRight | RightToLeft]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0")) {
                    return "FlowDirection.LeftToRight";
                }
                else {
                    return "FlowDirection.RightToLeft";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "FlowDirection." + value;
            }
        }
    }
}
