﻿using Konverter.Statements;
using System.Collections.Generic;
using System.Windows;


namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttFontWeightConverter
    {
        /// <summary>
        /// Benötigte Usings von FontStretch.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [1..999]
        /// Ausgabe (C#)  : [FontWeight.FromOpenTypeWeight(1..999)]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            if (value.Length < 4)
            {
                int weight = int.Parse(value);
                return "FontWeight.FromOpenTypeWeight(" + weight + ")";
            }

            return "FontWeights." + value;
        }
    }
}
