﻿

using System.Collections.Generic;
using Konverter.Statements;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttGradientSpreadMethodConverter
    {
        /// <summary>
        /// Benötigte Usings für GradientSpreadMethod.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Media")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [Pad | Reflect | Repeat | 0 | 1 | 2]
        /// Ausgabe (C#)  : [GradientSpreadMethod. + [Pad | Reflect | Repeat]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0")) {
                    return "GradientSpreadMethod.Pad";
                }
                else if (value.Equals("1")) {
                    return "GradientSpreadMethod.Reflect";
                }
                else {
                    return "GradientSpreadMethod.Repeat";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "GradientSpreadMethod." + value;
            }
        }
    }
}
