﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;

namespace Konverter.AttribValueConverters
{
    class AttLengthConverter
    {
        /// <summary>
        /// Zu ignorierende Attributwerte. Für diese wird in Convert() "null" zurück gegeben.
        /// </summary>
        public static List<string> IgnoreValues
        {
            get
            {
                return new List<string>()
                {
                    "Auto",
                    "NaN"
                };
            }
        }

        /// <summary>
        /// Konvertiere den String mit Einheiten in einen C#-Code-String.
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns>String ohne Einheiten</returns>
        public static string Convert(string value)
        {
            if (!IgnoreValues.Contains(value.Trim()))
            {
                try
                {
                    //Kommas werden ignoriert
                    value = value.Replace(",", "").Trim();
                    //Kommanotation wird nur angenommen
                    value = value.Replace(".", ",").Trim();
                    LengthConverter myLengthConverter = new LengthConverter();
                    Double conv = (Double)myLengthConverter.ConvertFrom(value);
                    return conv.ToString().Replace(",",".");
                }
                catch (Exception e)
                {
                    Logging.Instance.AddMessage("Fehler im Length Konverter mit dem Wert=" + value + ";" + e.Message);
                }
            }

            return null;
        }
    }
}
