﻿

using Konverter.Statements;
using System.Collections.Generic;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttOrientationConverter
    {
        /// <summary>
        /// Benötigte Usings für Orientation.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Controls")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [Horizontal | Vertical | 0 | 1]
        /// Ausgabe (C#)  : [Orientation. + [Horizontal | Vertical]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0")) {
                    return "Orientation.Horizontal";
                }
                else {
                    return "Orientation.Vertical";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "Orientation." + value;
            }
        }
    }
}
