﻿using Konverter.Statements;
using System.Collections.Generic;
using System;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// Konvertiert den in Xaml definierten Point in C#-Code.
    /// </summary>
    class AttPointConverter
    {
        /// <summary>
        /// Liste der von Point benötigten Usings.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }

        /// <summary>
        /// Konvertiere den in Xaml definierten Point in C#-Code.
        /// </summary>
        /// <param name="value">Xaml-Code des Point</param>
        /// <returns>C#-Code des Point</returns>
        public static string Convert(string value)
        {
            try
            {
                int pos = value.IndexOf(',');
                String x = AttLengthConverter.Convert(value.Substring(0, pos));
                String y = AttLengthConverter.Convert(value.Substring(pos + 1));
                return "new Point(" + x + ", " + y + ")";
            }
            catch (Exception e)
            {
                Logging.Instance.AddMessage("Fehler im Point Konverter mit dem Wert=" + value + ";" + e.Message);
                return "";
            }
        }
    }
}
