﻿

using System.Collections.Generic;
using Konverter.Statements;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttScrollBarVisibilityConverter
    {
        /// <summary>
        /// Benötigte Usings für ScrollBarVisibility.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows.Controls")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [Disabled | Auto | Hidden | Visible | 0 | 1 | 2 | 3]
        /// Ausgabe (C#)  : [ScrollBarVisibility. + [Disabled | Auto | Hidden | Visible]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0")) {
                    return "ScrollBarVisibility.Disabled";
                }
                else if (value.Equals("1")) {
                    return "ScrollBarVisibility.Auto";
                }
                else if (value.Equals("2")) {
                    return "ScrollBarVisibility.Hidden";
                }
                else {
                    return "ScrollBarVisibility.Visible";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "ScrollBarVisibility." + value;
            }
        }
    }
}
