﻿using Konverter.Statements;
using System.Collections.Generic;
using System;

namespace Konverter.AttribValueConverters
{
    class AttSizeConverter
    {
        /// <summary>
        /// Benötigte Usings von Size.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Die Klasse Size besitzt einen Konstruktoren in dem zwei double-Werte übergeben werden.
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            try
            {
                int pos = value.IndexOf(',');
                String width  = AttLengthConverter.Convert(value.Substring(0, pos));
                String height = AttLengthConverter.Convert(value.Substring(pos + 1));
                return "new Size(" + width + ", " + height + ")";
            }
            catch (Exception e)
            {
                Logging.Instance.AddMessage("Fehler im Size Konverter mit dem Wert=" + value + ";" + e.Message);
                return "";
            }
        }
    }
}
