﻿using System;
using System.Collections.Generic;
using System.Text;
using Konverter.Statements;

namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// Macht den übergebenen String bereit für C#-Code, indem Anführungszeichen um ihn gesetzt werden.
    /// </summary>
    class AttStringConverter
    {
        /// <summary>
        /// Konvertiere den String in einen C#-Code-String (mit Anführungszeichen).
        /// Das spart Redundanzen im Code.
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns>String in Anführungszeichen</returns>
        public static string Convert(string value)
        {
            return "\"" + value.Trim() + "\"";
        }
    }
}
