﻿

using System.Collections.Generic;
using Konverter.Statements;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttTextAlignmentConverter
    {
        /// <summary>
        /// Benötigte Usings für TextAlignment.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [Left | Right | Center | Justify | 0 | 1 | 2 | 3]
        /// Ausgabe (C#)  : [TextAlignment. + [Left | Right | Center | Justify]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0"))
                {
                    return "HorizontalAlignment.Left";
                }
                else if (value.Equals("1"))
                {
                    return "HorizontalAlignment.Right";
                }
                else if (value.Equals("2"))
                {
                    return "HorizontalAlignment.Center";
                }
                else
                {
                    return "HorizontalAlignment.Justify";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "TextAlignment." + value;
            }
        }
    }
}
