﻿

using Konverter.Statements;
using System.Collections.Generic;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttTextWrappingConverter
    {
        /// <summary>
        /// Benötigte Usings für TextWrapping.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [WrapWithOverflow | NoWrap | Wrap | 0 | 1 | 2]
        /// Ausgabe (C#)  : [TextWrapping. + [WrapWithOverflow | NoWrap | Wrap]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0")) {
                    return "TextWrapping.WrapWithOverflow";
                }
                else if (value.Equals("1")) {
                    return "TextWrapping.NoWrap";
                }
                else {
                    return "TextWrapping.Wrap";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "TextWrapping." + value;
            }
        }
    }
}
