﻿using Konverter.Statements;
using System.Collections.Generic;
using System;


namespace Konverter.AttribValueConverters
{
    class AttThicknessConverter
    {
        /// <summary>
        /// Benötigte Usings von Thickness.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Die Klasse Thickness besitzt zwei Konstruktoren:
        /// 1. ein double-Wert  : alle Ränder bekommen die gleiche Stärke
        /// 2. vier double-Werte: unterschiedliche Stärken für Ränder möglich (Reihenfolge: left, top, right, bottom)
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            try
            {
                String[] conv = new String[4];  //Feld für die Werte "left", "top", "right", "bottom"
                int index = 0;
                //wenn ein Komma gefunden wird werden vier Werte erwartet
                while (value.Contains(","))
                {
                    int pos = value.IndexOf(',');
                    String s = value.Substring(0, pos);             //Teilstring bis zum ersten Komma
                    conv[index] = AttLengthConverter.Convert(s);    //Teilstring konvertieren
                    value = value.Substring(pos + 1);               //Teilstring von value wegschneiden (incl. Komma)
                    index++;
                }

                //es gab nur einen Wert
                if (index == 0)
                {
                    return "new Thickness(" + AttLengthConverter.Convert(value) + ")";
                }
                //es gab vier Werte
                else
                {
                    //der vierte Wert fehlt noch
                    conv[index] = AttLengthConverter.Convert(value);
                    return "new Thickness(" + conv[0] + ", " + conv[1] + ", " + conv[2] + ", " + conv[3] + ")";
                }
            }
            catch (Exception e)
            {
                Logging.Instance.AddMessage("Fehler im Thickness Konverter mit dem Wert=" + value + ";" + e.Message);
                return "";
            }
        }
    }
}
