﻿

using System.Collections.Generic;
using Konverter.Statements;
namespace Konverter.AttribValueConverters
{
    /// <summary>
    /// 
    /// </summary>
    class AttVerticalAlignmentConverter
    {
        /// <summary>
        /// Benötigte Usings für VerticalAlignment.
        /// </summary>
        public static List<UsingStmt> Usings
        {
            get
            {
                return new List<UsingStmt>() {
                    new UsingStmt("System.Windows")
                };
            }
        }
        
        /// <summary>
        /// Eingabe (XAML): [Top | Center | Bottom | Stretch | 0 | 1 | 2 | 3]
        /// Ausgabe (C#)  : [VerticalAlignment. + [Top | Center | Bottom | Stretch]]
        /// </summary>
        /// <param name="value">Zu konvertiertender String</param>
        /// <returns></returns>
        public static string Convert(string value)
        {
            //value ist eine Zahl
            if (value.Length == 1)
            {
                if (value.Equals("0"))
                {
                    return "VerticalAlignment.Top";
                }
                else if (value.Equals("1"))
                {
                    return "VerticalAlignment.Center";
                }
                else if (value.Equals("2"))
                {
                    return "VerticalAlignment.Center";
                }
                else
                {
                    return "VerticalAlignment.Stretch";
                }
            }
            //value ist ein String
            else
            {
                //ersten Buchstaben groß schreiben und alle anderen klein
                value = value.Trim().ToLower();
                value = value.Substring(0, 1).ToUpper() + value.Substring(1);
                return "VerticalAlignment." + value;
            }
        }
    }
}
