﻿using System;
using System.Collections.Generic;
using System.Text;
using Konverter.Statements;

namespace Konverter.CodeTree
{
    /// <summary>
    /// Baumknoten des Typs PropertyNode speichern ein in Xaml definiertes Attribut mit seinem Namen ab.
    /// Die Implementierung ProperyValueNode enthält zudem den Wert des Attributs, mehr dazu in der
    /// entsprechenden Klassen-Doku (ebenso wie PropertyElementNode).
    /// PropertyNode-Objekte spiegeln sich im C#-Code durch eine Eigenschaft (Property) eines Objekts
    /// wider, welche in diesem Objekt gesetzt wird.
    /// </summary>
    interface PropertyNode : CSTreeNode
    {
        /// <summary>
        /// Name des Attributs.
        /// </summary>
        string AttribName { get; }
    }
}
