﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Konverter
{
    /// <summary>
    /// Interface für einen Datentyp "Menge".
    /// Die meisten Methoden kommen aus den erweiterten Interfaces IList, ICollection und IEnumerable.
    /// </summary>
    /// <typeparam name="T">Typ der Elemente einer Menge</typeparam>
    interface Set<T> : IList<T>, ICollection<T>, IEnumerable<T>
    {
        /// <summary>
        /// Fügt eine Anzahl von Elementen der Menge hinzu.
        /// </summary>
        /// <param name="items">Hinzuzufügende Elemente</param>
        void AddRange(IEnumerable<T> items);
    }
}
