﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Konverter.Statements
{
    /// <summary>
    /// Klasse zur Kapselung des Codes einer Zuweisung.
    /// </summary>
    class Assignment : Statement
    {
        /// <summary>
        /// Linke Seite der Zuweisung.
        /// </summary>
        string left = "";
        /// <summary>
        /// Rechte Seite der Zuweisung.
        /// </summary>
        string right = "";

        /// <summary>
        /// Konstruktor.
        /// </summary>
        /// <param name="left">Linke Seite der Zuweisung</param>
        /// <param name="right">Rechte Seite der Zuweisung ohne Semikolon</param>
        public Assignment(string left, string right)
        {
            this.left = left;
            this.right = right;
        }

        /// <summary>
        /// Erzeugt den Code für die Zuweisung ohne abschließendes Semikolon.
        /// </summary>
        /// <returns>Erzeugter Code</returns>
        protected override string GetCodeString()
        {
            return (left + " = " + right);
        }
    }
}
